/**
 * Get all blocks.
 *
 * @param string entryID
 * @access public
 * @return void
 */
function getBlocks(entryID)
{
    entryID = entryID || $('#allEntries').val();
    var $blockList = $('#blockList').hide();

    $('#blockParam').empty();
    if(entryID == '') return false;

    if(entryID.indexOf('hiddenBlock') != -1)
    {
        v.id.replace('hiddenBlock', '');
        getRssAndHtmlParams('html');
        return true;
    }
    if(entryID == 'rss' || entryID == 'html' || entryID == 'allEntries' || entryID == 'dynamic')
    {
        getRssAndHtmlParams(entryID);
        return true;
    }

    $.get(createLink('entry', 'blocks', 'entryID=' + entryID + '&id=' + v.id), function(data)
    {
        $blockList.html(data).show();
        $.zui.initPage($blockList);
        $.zui.ajustModalPosition();
    })
}

/**
 * Get rss and html params.
 *
 * @param  string $type
 * @access public
 * @return void
 */
function getRssAndHtmlParams(type)
{
    $.get(createLink('block', 'set', 'id=' + v.id+ '&type=' + type), function(data)
    {
        var $blockParam = $('#blockParam').html(data);
        $.setAjaxForm('#ajaxForm', function(){parent.location.href=config.webRoot + config.appName;});
        $.zui.initPage($blockParam);
        $.zui.ajustModalPosition();
    });
}

/**
 * Get block params.
 *
 * @param  string $type
 * @param  int    $entryID
 * @access public
 * @return void
 */
function getBlockParams(type, entryID)
{
    var $blockParam = $('#blockParam').empty();
    if(type == '') return false;

    $.get(createLink('entry', 'setBlock', 'id=' + v.id+ '&entryID=' + entryID + '&type=' + type), function(data)
    {
        $blockParam.html(data);
        $.setAjaxForm('#ajaxForm', function(){parent.location.href=config.webRoot + config.appName;});
        $.zui.initPage($blockParam);
        $.zui.ajustModalPosition();
    });
}

$(function()
{
    $('#allEntries').on('change', function(){getBlocks()});
    getBlocks();

    $.setAjaxForm('#blockForm', reloadDashboard);
});
